Search for all

  1. Search 7.x for all
  2. Search 9.5.x for all
  3. Search 8.9.x for all
  4. Search 10.3.x for all
  5. Search 11.x for all
  6. Other projects
Title Object type File name Summary
CommonTestController class core/modules/system/tests/modules/common_test/src/Controller/CommonTestController.php Controller routines for common_test routes.
CommonTestController.php file core/modules/system/tests/modules/common_test/src/Controller/CommonTestController.php
CommonTestController::attachments function core/modules/system/tests/modules/common_test/src/Controller/CommonTestController.php Returns a response with early rendering in common_test_page_attachments.
CommonTestController::destination function core/modules/system/tests/modules/common_test/src/Controller/CommonTestController.php Prints a destination query parameter.
CommonTestController::jsAndCssQuerystring function core/modules/system/tests/modules/common_test/src/Controller/CommonTestController.php Adds a JavaScript file and a CSS file with a query string appended.
CommonTestController::typeLinkActiveClass function core/modules/system/tests/modules/common_test/src/Controller/CommonTestController.php Returns links to the current page, with and without query strings.
CommonTestCronHelperHooks class core/modules/system/tests/modules/common_test_cron_helper/src/Hook/CommonTestCronHelperHooks.php Hook implementations for common_test_cron_helper.
CommonTestCronHelperHooks.php file core/modules/system/tests/modules/common_test_cron_helper/src/Hook/CommonTestCronHelperHooks.php
CommonTestCronHelperHooks::cron function core/modules/system/tests/modules/common_test_cron_helper/src/Hook/CommonTestCronHelperHooks.php Implements hook_cron().
CommonTestHooks class core/modules/system/tests/modules/common_test/src/Hook/CommonTestHooks.php Hook implementations for common_test.
CommonTestHooks.php file core/modules/system/tests/modules/common_test/src/Hook/CommonTestHooks.php
CommonTestHooks::blockDrupalAlterFooAlter function core/modules/system/tests/modules/common_test/src/Hook/CommonTestHooks.php Implements hook_TYPE_alter().
CommonTestHooks::cron function core/modules/system/tests/modules/common_test/src/Hook/CommonTestHooks.php Implements hook_cron().
CommonTestHooks::drupalAlterAlter function core/modules/system/tests/modules/common_test/src/Hook/CommonTestHooks.php Implements hook_TYPE_alter().
CommonTestThemeHooks class core/modules/system/tests/modules/common_test/src/Hook/CommonTestThemeHooks.php Hook implementations for common_test.
CommonTestThemeHooks.php file core/modules/system/tests/modules/common_test/src/Hook/CommonTestThemeHooks.php
CommonTestThemeHooks::commonTestRenderElement function core/modules/system/tests/modules/common_test/src/Hook/CommonTestThemeHooks.php Implements hook_preprocess_HOOK().
CommonTestThemeHooks::jsAlter function core/modules/system/tests/modules/common_test/src/Hook/CommonTestThemeHooks.php Implements hook_js_alter().
CommonTestThemeHooks::jsSettingsAlter function core/modules/system/tests/modules/common_test/src/Hook/CommonTestThemeHooks.php Implements hook_js_settings_alter().
CommonTestThemeHooks::libraryInfoAlter function core/modules/system/tests/modules/common_test/src/Hook/CommonTestThemeHooks.php Implements hook_library_info_alter().
CommonTestThemeHooks::libraryInfoBuild function core/modules/system/tests/modules/common_test/src/Hook/CommonTestThemeHooks.php Implements hook_library_info_build().
CommonTestThemeHooks::pageAttachments function core/modules/system/tests/modules/common_test/src/Hook/CommonTestThemeHooks.php Implements hook_page_attachments().
CommonTestThemeHooks::pageAttachmentsAlter function core/modules/system/tests/modules/common_test/src/Hook/CommonTestThemeHooks.php Implements hook_page_attachments_alter().
CommonTestThemeHooks::preprocess function core/modules/system/tests/modules/common_test/src/Hook/CommonTestThemeHooks.php Implements hook_preprocess().
CommonTestThemeHooks::theme function core/modules/system/tests/modules/common_test/src/Hook/CommonTestThemeHooks.php Implements hook_theme().
common_test.css file core/modules/system/tests/modules/common_test/common_test.css /* This file is for testing CSS file inclusion, no contents are necessary. */
common_test.info.yml file core/modules/system/tests/modules/common_test/common_test.info.yml core/modules/system/tests/modules/common_test/common_test.info.yml
common_test.libraries.yml file core/modules/system/tests/modules/common_test/common_test.libraries.yml core/modules/system/tests/modules/common_test/common_test.libraries.yml
common_test.print.css file core/modules/system/tests/modules/common_test/common_test.print.css /* This file is for testing CSS file inclusion, no contents are necessary. */
common_test.routing.yml file core/modules/system/tests/modules/common_test/common_test.routing.yml core/modules/system/tests/modules/common_test/common_test.routing.yml
common_test.services.yml file core/modules/system/tests/modules/common_test/common_test.services.yml core/modules/system/tests/modules/common_test/common_test.services.yml
common_test_cron_helper.info.yml file core/modules/system/tests/modules/common_test_cron_helper/common_test_cron_helper.info.yml core/modules/system/tests/modules/common_test_cron_helper/common_test_cron_helper.info.yml
CompiledRoute class core/lib/Drupal/Core/Routing/CompiledRoute.php A compiled route contains derived information from a route object.
CompiledRoute.php file core/lib/Drupal/Core/Routing/CompiledRoute.php
CompiledRoute::$patternOutline property core/lib/Drupal/Core/Routing/CompiledRoute.php The pattern outline of this route.
CompiledRoute::getFit function core/lib/Drupal/Core/Routing/CompiledRoute.php Returns the fit of this route.
CompiledRoute::getNumParts function core/lib/Drupal/Core/Routing/CompiledRoute.php Returns the number of parts in this route's path.
CompiledRoute::getPatternOutline function core/lib/Drupal/Core/Routing/CompiledRoute.php Returns the pattern outline of this route.
CompiledRoute::__construct function core/lib/Drupal/Core/Routing/CompiledRoute.php Constructs a new compiled route object.
CompiledRoute::__serialize function core/lib/Drupal/Core/Routing/CompiledRoute.php
CompiledRoute::__unserialize function core/lib/Drupal/Core/Routing/CompiledRoute.php
ComplexDataConstraint class core/lib/Drupal/Core/Validation/Plugin/Validation/Constraint/ComplexDataConstraint.php Complex data constraint.
ComplexDataConstraint.php file core/lib/Drupal/Core/Validation/Plugin/Validation/Constraint/ComplexDataConstraint.php
ComplexDataConstraint::$properties property core/lib/Drupal/Core/Validation/Plugin/Validation/Constraint/ComplexDataConstraint.php An array of constraints for contained properties, keyed by property name.
ComplexDataConstraint::__construct function core/lib/Drupal/Core/Validation/Plugin/Validation/Constraint/ComplexDataConstraint.php
ComplexDataConstraintValidator class core/lib/Drupal/Core/Validation/Plugin/Validation/Constraint/ComplexDataConstraintValidator.php Validates complex data.
ComplexDataConstraintValidator.php file core/lib/Drupal/Core/Validation/Plugin/Validation/Constraint/ComplexDataConstraintValidator.php
ComplexDataConstraintValidator::validate function core/lib/Drupal/Core/Validation/Plugin/Validation/Constraint/ComplexDataConstraintValidator.php
ComplexDataConstraintValidatorTest class core/tests/Drupal/KernelTests/Core/TypedData/ComplexDataConstraintValidatorTest.php Tests ComplexData validation with both valid and invalid values.
ComplexDataConstraintValidatorTest.php file core/tests/Drupal/KernelTests/Core/TypedData/ComplexDataConstraintValidatorTest.php

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.